<div class="row">
    <div id="search" class="col-md-3 col-sm-4 bg-white pt-3 pb-3">
        <div class="row">
            <div class="col-sm-12 mb-2 pb-3 pt-4">
                <h5>Pretraga po terminu</h5>
                <input v-model="term" class="form-control" type="text">
            </div>
            <div class="col-sm-12 pb-3 pt-2">
                <h5>Cena</h5>
                <input v-model="price" type="range" min="1" max="30000" value="70" class="slider" />
                <div class="range-prices d-flex justify-content-between align-content-center mt-2">
                    <p>{{ price }} rsd</p>
                    <p>30000 rsd</p>
                </div>
            </div>

            <slot name="brands" :search="search"></slot>

            <slot name="categories" :search="search"></slot>

            <div class="dropdown col-sm-12 pt-3" style="width: 100%">
                <button class="col-sm-12 btn btn-outline-primary dropdown-toggle text-left" type="button" id="dropdownMenuButton"
                        data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" style="color: black">
                    Sortiraj po {{ currentSort }}
                </button>
                <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                    <a class="dropdown-item" @click="sort('price', 'asc', 'Ceni (rastuce)')">Ceni (rastuće)</a>
                    <a class="dropdown-item" @click="sort('price', 'desc', 'Ceni (opadajuce)')">Ceni (opadajuće)</a>
                    <a class="dropdown-item" @click="sort('name', 'asc', 'Nazivu (a-z)')">Nazivu (a-z)</a>
                    <a class="dropdown-item" @click="sort('name', 'desc', 'Nazivu (z-a)')">Nazivu (z-a)</a>
                </div>
            </div>
        </div>
    </div>

    <div class="col-md-9 col-sm-8">
        <div class="row">

            <div id="loader" class="search-loader">
                <span class="spinner-border spinner-border-sm"
                      role="status" aria-hidden="true"></span>
            </div>

            <slot v-if="showInitialProducts" name="products"></slot>

            <div v-if="products.data.length" v-for="product in products.data" class="col-sm-12 col-md-6 col-lg-4" @click="route('client.product', { product: product.id, slug: product.slug})">
                <div class="product-frame">
                    <img :src="imageCacheRoute(product.main_image.src)" :alt="product.name">

                    <div class="text-frame">
                        <h4><a :href="productRoute(product)">{{ product.name }}</a></h4>
                    </div>

                    <p v-if="product.active" class="price">Cena Od: {{ product.cheapest_variant.price.toFixed(2) }} rsd</p>

                    <p v-if="!product.active" class="price">Proizvod nije dostupan</p>

                    <a :href="productRoute(product)" class="btn btn-outline-primary">DETALJNIJE</a>
                </div>
            </div>

        </div>

        <div v-if="products.data.length < 1 && showInitialProducts == false" class="row" align="center">
            <h4 class="separate">Ne postoje proizvodi za datu pretragu</h4>
        </div>

        <div class="row" v-if="products.nextPageUrl != null">
            <div v-if="products.nextPageUrl != ''" class="col-lg-12">

                <button class="btn btn-outline-primary"
                        style="width: 100%"
                        @click="loadMoreProducts">

                    Učitaj Još
                </button>

            </div>
        </div>
    </div>

</div>